//----------------------------------------------------------------------------
//  Project LPTPort
//  Zeal SoftStudio
//  Copyright (c) 1997-2002, Zeal SoftStudio. All Rights Reserved.
//
//  SUBSYSTEM:    LPTPort Application
//  FILE:         lptportdlgclient.h
//  AUTHOR:       Hai Li
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TLPTPortDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(lptportdlgclient_h)              // Sentry, use file only if it's not already included.
#define lptportdlgclient_h

#include "lptportapp.rh"                  // Definition of all resources.


#include <owl/commctrl.h>

//{{TDialog = TLPTPortDlgClient}}
class TLPTPortDlgClient : public TDialog {
  public:
    TLPTPortDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TLPTPortDlgClient();


//{{TLPTPortDlgClientRSP_TBL_BEGIN}}
  protected:
    void BNClicked();
//{{TLPTPortDlgClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TLPTPortDlgClient);
};    //{{TLPTPortDlgClient}}


#endif  // lptportdlgclient_h sentry.
