//----------------------------------------------------------------------------
//  Project PortTest
//  Zeal SoftStudio
//  Copyright (c) 1997-2002. Zeal SoftStudio. All Rights Reserved.
//
//  SUBSYSTEM:    PortTest Application
//  FILE:         porttestdlgclient.h
//  AUTHOR:       Hai Li
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TPortTestDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(porttestdlgclient_h)              // Sentry, use file only if it's not already included.
#define porttestdlgclient_h

#include "porttestapp.rh"                  // Definition of all resources.


#include <owl/commctrl.h>

//{{TDialog = TPortTestDlgClient}}
class TPortTestDlgClient : public TDialog {
  public:
    TPortTestDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TPortTestDlgClient();


//{{TPortTestDlgClientVIRTUAL_BEGIN}}
  public:
    virtual bool Create();
//{{TPortTestDlgClientVIRTUAL_END}}

//{{TPortTestDlgClientRSP_TBL_BEGIN}}
  protected:
    void BNReadClicked();
    void BNWriteClicked();
//{{TPortTestDlgClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TPortTestDlgClient);
};    //{{TPortTestDlgClient}}


#endif  // porttestdlgclient_h sentry.
